Bug 818751 - cannot deploy a bundle with config whose previous deployment didn't have any config
cannot deploy a bundle with config whose previous deployment didn't have any ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 820333 828843
  Show dependency treegraph
 
Reported: 2012-05-03 16:42 EDT by John Mazzitelli
Modified: 2013-09-01 06:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 820333 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:00:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
first bundle version - small-v1.jar (594 bytes, application/x-java-archive)
2012-05-03 16:43 EDT, John Mazzitelli
no flags Details
second bundle version - small-v2.zip (648 bytes, application/zip)
2012-05-03 16:44 EDT, John Mazzitelli
no flags Details
bug818751.patch (2.44 KB, patch)
2012-05-04 14:43 EDT, John Mazzitelli
no flags Details | Diff

  None (edit)
Description John Mazzitelli 2012-05-03 16:42:50 EDT
Create two bundle distro files - the first version has no input property configurations and second version has input properties in its configuration (where the properties have required="true").

Deploy the first bundle version. Then immediately deploy the second bundle version.

The second deployment fails with this that shows in the wizard error area:

Failed to create deployment: java.lang.RuntimeException:[1336077634224] javax.ejb.EJBException:java.lang.IllegalArgumentException: Invalid Configuration: [Required property 'name' has a null value in Configuration[id=0].] -> java.lang.IllegalArgumentException:Invalid Configuration: [Required property 'name' has a null value in Configuration[id=0].]
Comment 1 John Mazzitelli 2012-05-03 16:43:46 EDT
Created attachment 581959 [details]
first bundle version - small-v1.jar
Comment 2 John Mazzitelli 2012-05-03 16:44:44 EDT
Created attachment 581960 [details]
second bundle version - small-v2.zip
Comment 3 John Mazzitelli 2012-05-04 14:43:32 EDT
Created attachment 582186 [details]
bug818751.patch

this is the patch that I will apply to master. not committing yet since we are in the middle of producing a release
Comment 4 John Mazzitelli 2012-05-08 12:08:26 EDT
git commit to master: 184dabf
Comment 6 Heiko W. Rupp 2013-09-01 06:00:24 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.